%define	name	pdftohtml
%define	version	0.36
%define	release	1mdk

Summary:	A PDF to HTML converter.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.36-dirname.patch.bz2
License:	GPL
Group:		Text tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PDFTOHTML converts Portable Document Format (PDF) files to HTML
format. This release converts text and links. Bold and italic face are
preserved, but high level HTML structures ( like lists or tables ) are
not yet generated. Images are ignored ( but you can extract them from
the PDF file using pdfimages, distributed with the Xpdf package ).
The current version is tested on Linux and Solaris 2.6

%prep
%setup -q
%patch0 -p1

%build
%make CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_CONFIG_H -I.. -I. -I./../goo -DHAVE_REWINDDIR=1 -DHAVE_POPEN=1 -DHAVE_DIRENT_H=1 -I../goo -I. -I../xpdf"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}

%changelog
* Fri Jan 09 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.36-1mdk
- 0.36
- regenerated P0
- compile with $RPM_OPT_FLAGS
- cleanups!

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.35-1mdk
- 0.35
- regenerate %%patch0
- rename the spec and other rpmlint fix
 
* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-6mdk
- rebuild

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-5mdk
- patch0: fixes dirname in pdftohml ( suggested by Bob Kimble )

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-4mdk
- fixes from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Fixed path of PDFTOHTMLBIN_DIR
	- Added pdftops.bin

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-3mdk
- rebuild

* Wed May 16 2001 David BAUDENS <baudens@mandrakesoft.com> 0.31-2mdk
- Use %%_tmppath for BuildRoot

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- updated to 0.31

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- updated to 0.30
- BM
- macros

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.20-2mdk
- fix group
- fix permission on sources

* Sun Feb  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.20-1mdk
- First packaging.

